<?php
/**
 * @copyright Copyright 2005-2010 RedIRIS, http://www.rediris.es/
 *
 * This file is part of phpPoA2.
 *
 * phpPoA2 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * phpPoA2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with phpPoA2. If not, see <http://www.gnu.org/licenses/>.
 *
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @version 2.0
 * @package phpPoA2
 * @filesource
 */

// RIJNDAEL Crypt Functions (AES)

// Constant to encrypt and decrypt data with openssl
define('PADDINGSIZE', 11);

// PHP 5.3 already has this method, for the rest of us (legacy purposes), we
// redefine the method and call
// Please note that papi_openssl_encrypt and papi_openssl_decrypt
// should be used from now on...
if (!function_exists('openssl_encrypt')) {
    function openssl_encrypt($in, $key, $key_bits) {
        return papi_openssl_encrypt($in, $key, $key_bits);
    }
}
if (!function_exists('openssl_decrypt') ){
    function openssl_decrypt($in, $key, $key_bits) {
        return papi_openssl_decrypt($in, $key, $key_bits);
    }
}

function encrypt_AES($input,$key) {

    $td = mcrypt_module_open(MCRYPT_RIJNDAEL_128,'',MCRYPT_MODE_ECB,'');
    $iv = mcrypt_create_iv (mcrypt_enc_get_iv_size($td), MCRYPT_RAND);

    $key = substr($key, 0, mcrypt_enc_get_key_size($td));

    if (mcrypt_generic_init($td, $key, $iv) != -1) {
    // Encrypt the text
        $crypttext = mcrypt_generic($td, $input);
        mcrypt_generic_deinit($td);
    }

    mcrypt_module_close($td);

    // Encode the encrypted text
    $crypttext = base64_encode($crypttext);

    return $crypttext;
}

function decrypt_AES($input,$key) {

// Decode the encrypted text
    $input = base64_decode($input);

    $td = mcrypt_module_open(MCRYPT_RIJNDAEL_128,'',MCRYPT_MODE_ECB,'');
    $iv = mcrypt_create_iv (mcrypt_enc_get_iv_size($td), MCRYPT_RAND);

    $key = substr($key, 0, mcrypt_enc_get_key_size($td));

    if (mcrypt_generic_init($td, $key, $iv) != -1) {
    // Decrypt the text
        $decrypttext = mdecrypt_generic($td, $input);
        mcrypt_generic_deinit($td);
    }

    mcrypt_module_close($td);
    $decrypttext = trim ($decrypttext);

    return $decrypttext;
}


// 3DES Crypt Functions (Not used in phpPoA)

function encrypt_3DES($input,$key) {

    $td = mcrypt_module_open('tripledes', '', 'ecb', '');
    $iv = mcrypt_create_iv (mcrypt_enc_get_iv_size($td), MCRYPT_RAND);

    $key = substr($key, 0, mcrypt_enc_get_key_size($td));

    if (mcrypt_generic_init($td, $key, $iv) != -1) {
    // Encrypt the text
        $crypttext = mcrypt_generic($td, $input);
        mcrypt_generic_deinit($td);
    }

    mcrypt_module_close($td);

    // Encode the encrypted text
    $crypttext = base64_encode($crypttext);

    return $crypttext;
}


function decrypt_3DES($input,$key) {

// Decode the encrypted text
    $input = base64_decode($input);

    $td = mcrypt_module_open('tripledes', '', 'ecb', '');
    $iv = mcrypt_create_iv (mcrypt_enc_get_iv_size($td), MCRYPT_RAND);

    $key = substr($key, 0, mcrypt_enc_get_key_size($td));

    if (mcrypt_generic_init($td, $key, $iv) != -1) {
    // Decrypt the text
        $decrypttext = mdecrypt_generic($td, $input);
        mcrypt_generic_deinit($td);
    }

    mcrypt_module_close($td);
    $decrypttext = trim ($decrypttext);

    return $decrypttext;
}

// Openssl Crypt Functions (Not used in phpPoA)

//////////////////////////////////////////////////////////////////////////////////////
// Openssl Crypt Functions 
//////////////////////////////////////////////////////////////////////////////////////
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
// funcion papi_openssl_encrypt (Not used in phpPoA)
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
function papi_openssl_encrypt($in, $key, $key_bits = 0) {
// Get the byte size of data string 
    $inputSize = strlen($in);

    // Get details of the key
    $res = openssl_get_privatekey($key);
    if ($key_bits==0) {
        $key_details = openssl_pkey_get_details($res);
    }
    else {
        $key_details=array('bits' => $key_bits);
    }

    // Get the output block maximun size in Bytes
    $outputBlockSize =     $key_details['bits']/8;

    // Total number of blocks
    $inputBlockSize = $outputBlockSize - PADDINGSIZE;
    $numBlocks = ceil($inputSize/$inputBlockSize);

    // Start to encrypt.
    $blockCount = 0;
    $cryptBuffer = array();

    while ($blockCount < $numBlocks) {
        $index = $blockCount * $inputBlockSize;
        $block = substr($in, $index, $inputBlockSize);
        openssl_private_encrypt($block, $crypttext, $key);
        $cryptBuffer[$blockCount] = $crypttext;
        $blockCount++;
    }
    // Now joint the array with the blocks string encripted
    $cryptData = join("", $cryptBuffer);

    $base64CryptData = base64_encode($cryptData);

    // Return the encrypted, joined and base64 encode data string.
    return $base64CryptData;
}

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
// funcion papi_openssl_decrypt
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
function papi_openssl_decrypt($in, $key, $key_bits = 0) {
// Decode the base64 input string
    $in = base64_decode($in);

    // Get the byte size of data string
    $inputSize = strlen($in);

    // Get details of the key
    $res = openssl_get_publickey($key);
    if ($key_bits==0) {
        $key_details = openssl_pkey_get_details($res);
    }
    else {
        $key_details=array('bits' => $key_bits);
    }

    // Get the output block maximun size in Bytes
    $outputBlockSize =     $key_details['bits']/8;

    //$inputBlockSize = $outputBlockSize - PADDINGSIZE;
    $inputBlockSize = $outputBlockSize;
    $numBlocks = ceil($inputSize/$inputBlockSize);

    // Start to decrypt.
    $blockCount = 0;
    $decryptBuffer = array();



    while ($blockCount < $numBlocks) {
        $index = $blockCount * $inputBlockSize;
        $block = substr($in, $index, $inputBlockSize);
        // Decrypt the text
        if (!openssl_public_decrypt($block, $decrypttext, $key)) {
            // Cannot decrypt!
            return false;
        }
        $decryptBuffer[$blockCount] = $decrypttext;
        $blockCount++;
    }

    // Now joint the array with the blocks string encripted
    $decryptData = join("",$decryptBuffer);

    // Return the base64 dencode, decrypted and joined data string.

    return $decryptData;
}

?>
